Subject: Re: [net-next 1/2] net: phy: Expose the direct mdiobus access functions

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Sep 2024 16:19:34 -0700

On Fri,  6 Sep 2024 11:39:54 +0200 Niklas Söderlund wrote:
> Expose the direct mdiobus read and write functions. These will be needed
> to refactor the SIOCGMIIREG and SIOCSMIIREG IOCTLs to fallback to
> indirect C45 access if needed.

I'm not sure Andrew is convinced in the sub-thread on patch 2, but also
I don't understand why you need patch 1 at all. The callers and callees
are in the same module are you're adding non-GPL exports, or am I
misreading?
-- 
pw-bot: cr